﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvoidSelectionInGrouping
{
    public class ViewModel
    {
        public ViewModel()
        {
            orderCollection = new ObservableCollection<OrderInfo>();
            this.GenerateOrders();
        }

        private ObservableCollection<OrderInfo> orderCollection;

        public ObservableCollection<OrderInfo> OrderInfoCollection
        {
            get { return orderCollection; }
            set { orderCollection = value; }
        }

        private void GenerateOrders()
        {
            orderCollection.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", true));
            orderCollection.Add(new OrderInfo(1002, "Ana Trujilo", "Mexico", "ANATR", "México D.F.", false));
            orderCollection.Add(new OrderInfo(1003, "Antonio Moreno", "Mexico", "ANTON", "México D.F.", true));
            orderCollection.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London", false));
            orderCollection.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå", true));
            orderCollection.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim", false));
            orderCollection.Add(new OrderInfo(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg", true));
            orderCollection.Add(new OrderInfo(1008, "Martin Sommer", "Spain", "BOLID", "Madrid", false));
            orderCollection.Add(new OrderInfo(1009, "Laurence Lebihan", "France", "BONAP", "Marseille", false));
            orderCollection.Add(new OrderInfo(1010, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen", true));
            orderCollection.Add(new OrderInfo(1011, "Maria Anders", "Germany", "ALFKI", "Berlin", false));
            orderCollection.Add(new OrderInfo(1012, "Ana Trujilo", "Mexico", "ANATR", "México D.F.", true));
            orderCollection.Add(new OrderInfo(1013, "Antonio Moreno", "Mexico", "ANTON", "México D.F.", false));
            orderCollection.Add(new OrderInfo(1014, "Thomas Hardy", "UK", "AROUT", "London", true));
            orderCollection.Add(new OrderInfo(1015, "Christina Berglund", "Sweden", "BERGS", "Luleå", true));
        }
    }
}
